Bug 122023 - [REPOCOPY][MAINTAINER] games/teewars -> games/teeworlds
Summary: [REPOCOPY][MAINTAINER] games/teewars -> games/teeworlds
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-23 20:10 UTC by Dmitry Marakasov
Modified: 2008-04-17 22:30 UTC (History)
0 users

See Also:


Attachments
teeworlds.patch (11.51 KB, patch)
2008-03-23 20:10 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2008-03-23 20:10:01 UTC
Please repocopy games/teewars->games/teeworlds, update the latter with the attached patch and remove games/teewars
* Project name has changed (teewars to teeworlds)
* Update to 0.4.1
* bam.zip was rerolled (changes in build rules only)
* Add USE_XORG, as the game is explicitly linked with X libs
Comment 1 Edwin Groothuis freebsd_committer 2008-03-23 20:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov 2008-03-26 08:14:36 UTC
* FreeBSD-gnats-submit@FreeBSD.org (FreeBSD-gnats-submit@FreeBSD.org) wrote:

> >Synopsis:       [REPOCOPY][MAINTAINER] games/teewars -> games/teeworlds

Fix: USE_XORG should not be defined when only server is built.
Thanks to Alexander Logvinov <ports@logvinov.com> for noticing.

--- teeworlds.patch begins here ---
diff -ruN teeworlds.orig/Makefile teeworlds/Makefile
--- teeworlds.orig/Makefile	2008-03-26 11:07:22.000000000 +0300
+++ teeworlds/Makefile	2008-03-26 10:36:41.000000000 +0300
@@ -18,7 +18,6 @@
 
 USE_ZIP=	yes
 USE_PYTHON_BUILD=	yes
-USE_XORG=	x11 xxf86vm
 
 BAM=	${WRKDIR}/bam.bin
 BAM_TARGET=	release
@@ -32,6 +31,7 @@
 PLIST_SUB+=	CLIENT="@comment "
 .else
 LIB_DEPENDS+=	portaudio.2:${PORTSDIR}/audio/portaudio2
+USE_XORG=	x11 xxf86vm
 USE_GL=		yes
 PLIST_SUB+=	CLIENT=""
 .endif
--- teeworlds.patch ends here ---


-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 3 Martin Wilke freebsd_committer 2008-03-26 08:25:05 UTC
State Changed
From-To: open->repocopy


Please repocopy from games/teewars -> games/teeworlds.
Comment 4 Martin Wilke freebsd_committer 2008-03-26 08:25:05 UTC
Responsible Changed
From-To: miwi->portmgr


Please repocopy from games/teewars -> games/teeworlds. 

Thanks
Comment 5 Dmitry Marakasov 2008-03-26 10:01:11 UTC
Another update (new patch against current teewars port for convenience):

- Repack bam.zip as bam-20080326.tar.gz to counter silent bam.zip
  updates. Also reduces distfiles size and makes it possible to get rid
  of USE_ZIP
- Get rid of USE_ZIP (use tar.gz distfile of teewars, which is
  also available from original site)
- Use my site first in MASTER_SITES for now, as it has repacked bam.

--- teeworlds.patch begins here ---
diff -ruN teewars.orig/Makefile teeworlds/Makefile
--- teewars.orig/Makefile	2008-03-26 12:39:42.000000000 +0300
+++ teeworlds/Makefile	2008-03-26 12:26:18.000000000 +0300
@@ -5,32 +5,33 @@
 # $FreeBSD: ports/games/teewars/Makefile,v 1.1 2008/02/18 19:52:20 miwi Exp $
 #
 
-PORTNAME=	teewars
-PORTVERSION=	0.3.4
+PORTNAME=	teeworlds
+PORTVERSION=	0.4.1
 CATEGORIES=	games
-MASTER_SITES=	http://www.teewars.com/files/ \
-		http://www.amdmi3.ru/distfiles/
+MASTER_SITES=	http://www.amdmi3.ru/distfiles/ \
+		http://www.teeworlds.com/files/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} bam${EXTRACT_SUFX}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} bam-${BAM_VERSION}${EXTRACT_SUFX}
 
 MAINTAINER=	amdmi3@amdmi3.ru
 COMMENT=	Platform game featuring buggers equipped with weapons
 
-USE_ZIP=	yes
 USE_PYTHON_BUILD=	yes
 
 BAM=	${WRKDIR}/bam.bin
+BAM_VERSION=	20080326
 BAM_TARGET=	release
 
-OPTIONS=	TEEWARS_SERVER_ONLY	"Build dedicated server only"	off
+OPTIONS=	TEEWORLDS_SERVER_ONLY	"Build dedicated server only"	off
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITH_TEEWARS_SERVER_ONLY)
+.if defined(WITH_TEEWORLDS_SERVER_ONLY)
 BAM_TARGET=	server_release
 PLIST_SUB+=	CLIENT="@comment "
 .else
 LIB_DEPENDS+=	portaudio.2:${PORTSDIR}/audio/portaudio2
+USE_XORG=	x11 xxf86vm
 USE_GL=		yes
 PLIST_SUB+=	CLIENT=""
 .endif
@@ -47,22 +48,22 @@
 		${XARGS} ${REINPLACE_CMD} -e 's|"data/|"${DATADIR}/|g'
 	@${REINPLACE_CMD} -e 's|"data/|"${DATADIR}/|g' ${WRKSRC}/datasrc/*
 
-# build bam executable - teewars own build system
+# build bam executable - teeworlds own build system
 pre-build:
 	cd ${WRKDIR}/bam && ${CC} ${CFLAGS} src/tools/txt2c.c -o src/tools/txt2c
 	cd ${WRKDIR}/bam && src/tools/txt2c < src/base.bam > src/internal_base.h
 	cd ${WRKDIR}/bam && ${CC} ${CFLAGS} src/lua/src/*.c src/lua/src/lib/*.c \
 		src/*.c -Isrc/lua/include -o ${BAM} -lm ${PTHREAD_LIBS}
 
-# build teewars
+# build teeworlds
 do-build:
-	cd ${WRKSRC} && ${BAM} ${BAM_TARGET}
+	cd ${WRKSRC} && ${BAM} -v ${BAM_TARGET}
 
 do-install:
-.if !defined(WITH_TEEWARS_SERVER_ONLY)
-	${INSTALL_PROGRAM} ${WRKSRC}/teewars ${PREFIX}/bin
+.if !defined(WITH_TEEWORLDS_SERVER_ONLY)
+	${INSTALL_PROGRAM} ${WRKSRC}/teeworlds ${PREFIX}/bin
 .endif
-	${INSTALL_PROGRAM} ${WRKSRC}/teewars_srv ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/teeworlds_srv ${PREFIX}/bin
 	${MKDIR} ${DATADIR}
 	@cd ${WRKSRC}/data && ${COPYTREE_SHARE} . ${DATADIR}/
 
diff -ruN teewars.orig/distinfo teeworlds/distinfo
--- teewars.orig/distinfo	2008-03-26 12:39:42.000000000 +0300
+++ teeworlds/distinfo	2008-03-26 12:48:18.000000000 +0300
@@ -1,6 +1,6 @@
-MD5 (teewars-0.3.4-src.zip) = ed56470043b0dc73caa55a741282c761
-SHA256 (teewars-0.3.4-src.zip) = 8ed3152a9fc631dce0c4da7ca991728895e2660b217bb26063c02503a36c0861
-SIZE (teewars-0.3.4-src.zip) = 4438820
-MD5 (bam.zip) = 91065fcce9296b7259d71ef6aafe347a
-SHA256 (bam.zip) = 616834108060c4f573d19dd087d6c4c5d5e40b8987002c9b9df089fb194fa71c
-SIZE (bam.zip) = 475348
+MD5 (teeworlds-0.4.1-src.tar.gz) = d2977b5f46a83043b6e748999de7d5b8
+SHA256 (teeworlds-0.4.1-src.tar.gz) = 14d50351ffba0e6e38dc87a017fa869120dd7cfa957815531583285419b8fad2
+SIZE (teeworlds-0.4.1-src.tar.gz) = 5047200
+MD5 (bam-20080326.tar.gz) = 7eb70ccacd95d05319eef4a73e485e8e
+SHA256 (bam-20080326.tar.gz) = 1103142f2a0297541021a75e3df7e4b4c4a71afcf31ca53b46844b90d026485e
+SIZE (bam-20080326.tar.gz) = 124493
diff -ruN teewars.orig/files/patch-default.bam teeworlds/files/patch-default.bam
--- teewars.orig/files/patch-default.bam	2008-03-26 12:39:42.000000000 +0300
+++ teeworlds/files/patch-default.bam	2008-03-23 22:39:34.000000000 +0300
@@ -1,9 +1,12 @@
---- default.bam.orig	2008-02-09 22:10:40.000000000 +0300
-+++ default.bam	2008-02-18 00:06:31.000000000 +0300
-@@ -173,19 +173,20 @@
- 		settings.cc.flags = "/wd4244"
- 	else
- 		settings.cc.flags = "-Wall"
+--- default.bam.orig	2008-03-23 16:34:56.000000000 +0300
++++ default.bam	2008-03-23 22:39:30.000000000 +0300
+@@ -207,14 +207,16 @@
+ 		if platform == "macosx" then
+ 			settings.cc.flags = "-Wall -fno-exceptions"
+ 		else
+-			settings.cc.flags = "-Wall -fstack-protector -fstack-protector-all -fno-exceptions"
++			settings.cc.flags = settings.cc.flags .. " -Wall -fstack-protector -fstack-protector-all -fno-exceptions"
+ 		end
 -		settings.linker.flags = ""
 +		settings.linker.flags = "-L/usr/local/lib/portaudio2 -L/usr/local/lib -pthread"
 +		settings.linker.libs:add("z")
@@ -17,22 +20,39 @@
  
  	if family == "unix" then
     		if platform == "macosx" then
- 			glfw_platform = "macosx"
- 		else
- 			glfw_platform = "x11"
+@@ -230,8 +232,6 @@
+ 			else
+ 				pa_hostapi = "oss"
+ 			end
+-			
 -			settings.linker.libs:add("pthread")
  		end
  	elseif family == "windows" then
  		glfw_platform = "win32"
-@@ -217,7 +218,6 @@
+@@ -263,11 +263,6 @@
+ 	pa_settings.cc.includes:add("src/engine/external/portaudio/src/common")
+ 	pa_settings.cc.includes:add("src/engine/external/portaudio/src/os/" .. pa_platform)
+ 	
+-	portaudio = Compile(pa_settings,
+-		Collect("src/engine/external/portaudio/src/common/*.c"),
+-		Collect("src/engine/external/portaudio/src/os/" .. pa_platform .. "/*.c"),
+-		Collect("src/engine/external/portaudio/src/hostapi/" .. pa_hostapi .. "/*.c"))
+-	
+ 	-- build game components
+ 	engine_settings = settings:copy()
+ 	
+@@ -277,9 +272,8 @@
+    		if platform == "macosx" then
+ 			engine_settings.cc.flags = "-Wall"
  		else
- 			engine_settings.cc.flags = "-Wall -pedantic-errors"
+-			engine_settings.cc.flags = "-Wall -pedantic-errors"
++			engine_settings.cc.flags = engine_settings.cc.flags .. " -Wall -pedantic-errors"
  		end
 -		engine_settings.linker.flags = ""
  	end
  
  	-- server
-@@ -237,10 +237,11 @@
+@@ -299,10 +293,11 @@
  			client_settings.linker.frameworks:add("AudioToolbox")
  			client_settings.linker.frameworks:add("AudioUnit")
  		else
@@ -45,27 +65,24 @@
  		end
  	elseif family == "windows" then
  		client_settings.linker.libs:add("opengl32.lib")
-@@ -249,10 +250,8 @@
+@@ -311,7 +306,6 @@
  	end
  
  	external_settings = settings:copy()
 -	zlib = Compile(external_settings, Collect("src/engine/external/zlib/*.c"))
  	wavpack = Compile(external_settings, Collect("src/engine/external/wavpack/*.c"))
  	pnglite = Compile(external_settings, Collect("src/engine/external/pnglite/*.c"))
--	portaudio = Compile(external_settings, Collect("src/engine/external/pa.c"))
- 	
- 	engine = Compile(engine_settings, Collect("src/engine/*.c"))
- 	client = Compile(client_settings, Collect("src/engine/client/*.c"))
-@@ -280,7 +279,7 @@
+ 
+@@ -337,7 +331,7 @@
  	
  	-- build client, server and master server
- 	client_exe = Link(client_settings, "teewars", game_shared, game_client,
--		engine, client, editor, glfw, portaudio, zlib, pnglite, wavpack,
-+		engine, client, editor, glfw, pnglite, wavpack,
+ 	client_exe = Link(client_settings, "teeworlds", game_shared, game_client,
+-		engine, client, game_editor, glfw, portaudio, zlib, pnglite, wavpack,
++		engine, client, game_editor, glfw, pnglite, wavpack,
  		client_link_other)
  
- 	server_exe = Link(server_settings, "teewars_srv", engine, server,
-@@ -326,7 +325,7 @@
+ 	server_exe = Link(server_settings, "teeworlds_srv", engine, server,
+@@ -383,7 +377,7 @@
  release_settings.config_name = "release"
  release_settings.config_ext = ""
  release_settings.debug = 0
diff -ruN teewars.orig/pkg-plist teeworlds/pkg-plist
--- teewars.orig/pkg-plist	2008-03-26 12:39:42.000000000 +0300
+++ teeworlds/pkg-plist	2008-03-23 22:58:31.000000000 +0300
@@ -1,5 +1,5 @@
-%%CLIENT%%bin/teewars
-bin/teewars_srv
+%%CLIENT%%bin/teeworlds
+bin/teeworlds_srv
 %%DATADIR%%/audio/foley_body_impact-01.wv
 %%DATADIR%%/audio/foley_body_impact-02.wv
 %%DATADIR%%/audio/foley_body_impact-03.wv
@@ -49,6 +49,10 @@
 %%DATADIR%%/audio/sfx_pickup_launcher.wv
 %%DATADIR%%/audio/sfx_pickup_ninja.wv
 %%DATADIR%%/audio/sfx_pickup_sg.wv
+%%DATADIR%%/audio/sfx_skid-01.wv
+%%DATADIR%%/audio/sfx_skid-02.wv
+%%DATADIR%%/audio/sfx_skid-03.wv
+%%DATADIR%%/audio/sfx_skid-04.wv
 %%DATADIR%%/audio/sfx_spawn_wpn-01.wv
 %%DATADIR%%/audio/sfx_spawn_wpn-02.wv
 %%DATADIR%%/audio/sfx_spawn_wpn-03.wv
@@ -110,28 +114,90 @@
 %%DATADIR%%/audio/wp_noammo-03.wv
 %%DATADIR%%/audio/wp_noammo-04.wv
 %%DATADIR%%/audio/wp_noammo-05.wv
+%%DATADIR%%/audio/wp_rifle_bnce-01.wv
+%%DATADIR%%/audio/wp_rifle_bnce-02.wv
+%%DATADIR%%/audio/wp_rifle_bnce-03.wv
+%%DATADIR%%/audio/wp_rifle_fire-01.wv
+%%DATADIR%%/audio/wp_rifle_fire-02.wv
+%%DATADIR%%/audio/wp_rifle_fire-03.wv
 %%DATADIR%%/audio/wp_shotty_fire-01.wv
 %%DATADIR%%/audio/wp_shotty_fire-02.wv
 %%DATADIR%%/audio/wp_shotty_fire-03.wv
 %%DATADIR%%/audio/wp_switch-01.wv
 %%DATADIR%%/audio/wp_switch-02.wv
 %%DATADIR%%/audio/wp_switch-03.wv
-%%DATADIR%%/big_font.png
 %%DATADIR%%/browse_icons.png
-%%DATADIR%%/checker.png
-%%DATADIR%%/cloudmap.png
+%%DATADIR%%/console.png
+%%DATADIR%%/console_bar.png
 %%DATADIR%%/debug_font.png
+%%DATADIR%%/editor/background.png
+%%DATADIR%%/editor/checker.png
+%%DATADIR%%/editor/cursor.png
+%%DATADIR%%/editor/entities.png
 %%DATADIR%%/emoticons.png
+%%DATADIR%%/fonts/default_font10.png
+%%DATADIR%%/fonts/default_font10.tfnt
+%%DATADIR%%/fonts/default_font10_b.png
+%%DATADIR%%/fonts/default_font11.png
+%%DATADIR%%/fonts/default_font11.tfnt
+%%DATADIR%%/fonts/default_font11_b.png
+%%DATADIR%%/fonts/default_font12.png
+%%DATADIR%%/fonts/default_font12.tfnt
+%%DATADIR%%/fonts/default_font12_b.png
+%%DATADIR%%/fonts/default_font13.png
+%%DATADIR%%/fonts/default_font13.tfnt
+%%DATADIR%%/fonts/default_font13_b.png
+%%DATADIR%%/fonts/default_font14.png
+%%DATADIR%%/fonts/default_font14.tfnt
+%%DATADIR%%/fonts/default_font14_b.png
+%%DATADIR%%/fonts/default_font15.png
+%%DATADIR%%/fonts/default_font15.tfnt
+%%DATADIR%%/fonts/default_font15_b.png
+%%DATADIR%%/fonts/default_font16.png
+%%DATADIR%%/fonts/default_font16.tfnt
+%%DATADIR%%/fonts/default_font16_b.png
+%%DATADIR%%/fonts/default_font17.png
+%%DATADIR%%/fonts/default_font17.tfnt
+%%DATADIR%%/fonts/default_font17_b.png
+%%DATADIR%%/fonts/default_font18.png
+%%DATADIR%%/fonts/default_font18.tfnt
+%%DATADIR%%/fonts/default_font18_b.png
+%%DATADIR%%/fonts/default_font19.png
+%%DATADIR%%/fonts/default_font19.tfnt
+%%DATADIR%%/fonts/default_font19_b.png
+%%DATADIR%%/fonts/default_font20.png
+%%DATADIR%%/fonts/default_font20.tfnt
+%%DATADIR%%/fonts/default_font20_b.png
+%%DATADIR%%/fonts/default_font36.png
+%%DATADIR%%/fonts/default_font36.tfnt
+%%DATADIR%%/fonts/default_font36_b.png
+%%DATADIR%%/fonts/default_font8.png
+%%DATADIR%%/fonts/default_font8.tfnt
+%%DATADIR%%/fonts/default_font8_b.png
+%%DATADIR%%/fonts/default_font9.png
+%%DATADIR%%/fonts/default_font9.tfnt
+%%DATADIR%%/fonts/default_font9_b.png
 %%DATADIR%%/game.png
 %%DATADIR%%/gui_cursor.png
 %%DATADIR%%/gui_logo.png
+%%DATADIR%%/mapres/desert_main.png
+%%DATADIR%%/mapres/desert_mountains.png
+%%DATADIR%%/mapres/desert_sun.png
+%%DATADIR%%/mapres/grass_doodads.png
+%%DATADIR%%/mapres/grass_main.png
+%%DATADIR%%/mapres/moon.png
+%%DATADIR%%/mapres/mountains.png
+%%DATADIR%%/mapres/snow.png
+%%DATADIR%%/mapres/stars.png
+%%DATADIR%%/mapres/sun.png
+%%DATADIR%%/mapres/winter_doodads.png
+%%DATADIR%%/mapres/winter_main.png
 %%DATADIR%%/maps/ctf1.map
 %%DATADIR%%/maps/ctf2.map
 %%DATADIR%%/maps/dm1.map
 %%DATADIR%%/maps/dm2.map
 %%DATADIR%%/maps/dm6.map
-%%DATADIR%%/moon.png
-%%DATADIR%%/mountain_paralax.png
+%%DATADIR%%/particles.png
 %%DATADIR%%/skins/bluekitty.png
 %%DATADIR%%/skins/bluestripe.png
 %%DATADIR%%/skins/brownbear.png
@@ -140,7 +206,6 @@
 %%DATADIR%%/skins/coala.png
 %%DATADIR%%/skins/default.png
 %%DATADIR%%/skins/limekitty.png
-%%DATADIR%%/skins/ninja.png
 %%DATADIR%%/skins/pinky.png
 %%DATADIR%%/skins/redbopp.png
 %%DATADIR%%/skins/redstripe.png
@@ -149,10 +214,11 @@
 %%DATADIR%%/skins/twinbop.png
 %%DATADIR%%/skins/twintri.png
 %%DATADIR%%/skins/warpaint.png
-%%DATADIR%%/snow.png
-%%DATADIR%%/stars.png
-%%DATADIR%%/sun.png
+%%DATADIR%%/skins/x_ninja.png
 @dirrm %%DATADIR%%/skins
 @dirrm %%DATADIR%%/maps
+@dirrm %%DATADIR%%/mapres
+@dirrm %%DATADIR%%/fonts
+@dirrm %%DATADIR%%/editor
 @dirrm %%DATADIR%%/audio
 @dirrm %%DATADIR%%
--- teeworlds.patch ends here ---

-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 6 Joe Marcus Clarke freebsd_committer 2008-04-02 06:27:38 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2008-04-02 06:27:38 UTC
Responsible Changed
From-To: portmgr->miwi

Repocopy complete.
Comment 8 dfilter service freebsd_committer 2008-04-17 22:26:36 UTC
miwi        2008-04-17 21:26:26 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
    games/teeworlds      Makefile distinfo pkg-plist 
    games/teeworlds/files patch-default.bam 
  Log:
  * Project name has changed (teewars to teeworlds)
  * Update to 0.4.1
  * Add USE_XORG, as the game is explicitly linked with X libs
  * Connect to the build
  
  PR:             122023
  Submitted by:   Dmitry Marakasov <amdmi3@amdmi3.ru> (maintainer)
  
  Revision  Changes    Path
  1.1192    +1 -0      ports/games/Makefile
  1.3       +19 -14    ports/games/teeworlds/Makefile
  1.3       +6 -6      ports/games/teeworlds/distinfo
  1.2       +40 -23    ports/games/teeworlds/files/patch-default.bam
  1.3       +77 -11    ports/games/teeworlds/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Martin Wilke freebsd_committer 2008-04-17 22:27:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!